GameObject

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES All Classes
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## csta.ibm.pong
Class GameObject

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  csta.ibm.pong.GameObject

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

    public abstract class GameObject

extends javax.swing.JComponent

An abstract class for an object which can be added to an instance of `Game`
The `act` method can be implemented to provide a behavior for the object, and will be called every millisecond automatically by a `Game` it has been added to.

See Also:
  `Game.add(csta.ibm.pong.GameObject)`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GameObject()`

Method Summary
`abstract void` | `act()` This method should be implemented to provide a behavior for this object.
`boolean` | `collides(GameObject o)` Returns `true` if this object collides with another `GameObject`
`int` | `getX()` Gets the x component of the coordinate of the upper left corner of this object The coordinate is relative to the playing field, with `0` being the far left of the field, and positive values moving toward the right of the field
`int` | `getY()` Gets the y component of the coordinate of the upper left corner of this object The coordinate is relative to the playing field, with `0` being the top of the field, and positive values moving toward the bottom of the field
`void` | `paint(java.awt.Graphics g)` Paints the object on the screen.
`void` | `setColor(java.awt.Color c)` Sets the color of this object
`void` | `setSize(int width, int height)` Sets the pixel width and height of the object
`void` | `setX(int x)` Sets the x (horizontal) position of this object Setting the x position will not affect the y position
`void` | `setY(int y)` Sets the y (vertical) position of this object Setting the y position will not affect the x position

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GameObject

    public GameObject()

Method Detail

### setSize

    public void setSize(int width,
                        int height)

  Sets the pixel width and height of the object

  Overrides:
    `setSize` in class `java.awt.Component`
  Parameters:
    `width` - a width in pixels
    `height` - a height in pixels

### getX

    public int getX()

  Gets the x component of the coordinate of the upper left corner of this object The coordinate is relative to the playing field, with `0` being the far left of the field, and positive values moving toward the right of the field

  Overrides:
    `getX` in class `javax.swing.JComponent`

### getY

    public int getY()

  Gets the y component of the coordinate of the upper left corner of this object The coordinate is relative to the playing field, with `0` being the top of the field, and positive values moving toward the bottom of the field

  Overrides:
    `getY` in class `javax.swing.JComponent`

### setX

    public void setX(int x)

  Sets the x (horizontal) position of this object Setting the x position will not affect the y position

  Parameters:
    `x` - the x position of the upper left corner of this object

### setY

    public void setY(int y)

  Sets the y (vertical) position of this object Setting the y position will not affect the x position

  Parameters:
    `y` - the y position of the upper left corner of this object

### setColor

    public void setColor(java.awt.Color c)

  Sets the color of this object

  Parameters:
    `c` - the color of this object
  See Also:
    `Color`

### paint

    public void paint(java.awt.Graphics g)

  Paints the object on the screen. This is called automatically. Child classes should not implement or override this method.

  Overrides:
    `paint` in class `javax.swing.JComponent`

### collides

    public boolean collides(GameObject o)

  Returns `true` if this object collides with another `GameObject`

  Parameters:
    `o` - the `GameObject` to test for collision
  Returns:
    `true` if collision occurs

### act

    public abstract void act()

  This method should be implemented to provide a behavior for this object. The `Game` will automatically call this method every millisecond. It can be implemented to provide basic behavior for an object, such as movement.

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES All Classes
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD